Bug 27428 - dump should BuildRequire e2fsprogs-devel
Summary: dump should BuildRequire e2fsprogs-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dump   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-13 18:35 UTC by Ian J. Alexander
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-07 19:17:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian J. Alexander 2001-02-13 18:35:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en]C-CCK-MCD Sabre Inc. Build Date - [02-15-1999]-B  (WinNT; U)


Package "dump" should BuildRequire package "e2fsprogs-devel".

Reproducible: Always
Steps to Reproduce:
1. rpm -e e2fsprogs-devel
2. rpm -ba dump.spec
	

Actual Results:  Building the dump rpm failed during the configure step, indicating that the e2fsprogs libraries needed installing.  Said libraries 
are located in the e2fsprogs-devel rpm.

Expected Results:  Dump should BuildRequire e2fsprogs-devel to avoid this.

Patch:
--- dump.spec.original  Tue Feb 13 11:33:50 2001
+++ dump.spec   Tue Feb 13 11:33:28 2001
@@ -11,6 +11,7 @@
 Source: http://sourceforge.net/download.php/dump/dump-%{version}.tar.gz
 Patch0: dump-0.4b19-bigfile.patch
 Requires: rmt
+BuildRequires: e2fsprogs-devel
 BuildRoot: %{_tmppath}/%{name}-root
 
 %description


Note You need to log in before you can comment on or make changes to this bug.